<?php
	namespace Main\Middlewares;
	
	use Pecee\Http\Middleware\IMiddleware;
	use Pecee\Http\Request;
	
	class TimezoneMiddleware implements IMiddleware {
		public function handle(Request $request): void
		{
			if (settings("timezone") != null) {
				date_default_timezone_set(settings("timezone"));
			}
		}
	}